> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup HoneyCoin integration.

> Create HoneyCoin integration to configure the connection with the HoneyCoin account.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/honeycoin
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/honeycoin:
    put:
      tags:
        - Integrations Config
      summary: Setup HoneyCoin integration.
      description: >-
        Create HoneyCoin integration to configure the connection with the
        HoneyCoin account.
      operationId: IntegrationsConfigController_setupHoneyCoinIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HoneyCoinSetupDto'
      responses:
        '202':
          description: Organization HoneyCoin integration data
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    HoneyCoinSetupDto:
      type: object
      properties:
        apiKey:
          type: string
          description: The HoneyCoin API key for authentication.
          example: HC-a1cc4444-e9b1-7654-a123-7c555edb9fe1
        publicKey:
          type: string
          description: The HoneyCoin public key for authentication.
          example: 2aalwDDltWiUuT7qjBVC
      required:
        - apiKey
        - publicKey
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````